<?php
/******************************************************************************
* Settings.php                                                                *
*******************************************************************************
* SMF: Simple Machines Forum                                                  *
* Open-Source Project Inspired by Zef Hemel (zef@zefhemel.com)                *
* =========================================================================== *
* Software Version:           SMF 1.1 RC2                                     *
* Software by:                Simple Machines (http://www.simplemachines.org) *
* Copyright 2001-2005 by:     Lewis Media (http://www.lewismedia.com)         *
* Support, News, Updates at:  http://www.simplemachines.org                   *
*******************************************************************************
* This program is free software; you may redistribute it and/or modify it     *
* under the terms of the provided license as published by Lewis Media.        *
*                                                                             *
* This program is distributed in the hope that it is and will be useful,      *
* but WITHOUT ANY WARRANTIES; without even any implied warranty of            *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                        *
*                                                                             *
* See the "license.txt" file for details of the Simple Machines license.      *
* The latest version can always be found at http://www.simplemachines.org.    *
******************************************************************************/

########## Maintenance ##########
# Note: If $maintenance is set to 2, the forum will be unusable!  Change it to 0 to fix it.
$mtitle = 'Maintenance Mode';		# Title for the Maintenance Mode message.
$mmessage = 'We are moving to a new location.';		# Description of why the forum is in maintenance mode.

########## Forum Info ##########
$mbname = 'Glitch City Laboratories Forums';		# The name of your forum.
$language = 'english';		# The default language file set for the forum.

//$_SERVER['REMOTE_ADDR'] = "128.0.0.1";

$webmaster_email = 'abwayax@glitchcity.info';		# Email address to send emails from. (like noreply@yourdomain.com.)
$cookiename = 'SMFCookie944';		# Name of the cookie to set for authentication.

########## Database Info ##########
$db_server = getenv('GCL_DB_HOST') ?: 'localhost';
$db_name = getenv('GCL_DB_NAME') ?: 'glitchcity';
$db_user = getenv('GCL_DB_USER') ?: 'glitchcity';
$db_passwd = getenv('GCL_DB_PASSWORD');
$db_prefix = getenv('GCL_DB_SMF_PREFIX') ?: 'smf_';
$db_persist = 0;
$db_error_send = 0;

########## Directories/Files ##########
# Note: These directories do not have to be changed unless you move things.
$boarddir = '/application/forums';		# The absolute path to the forum's folder. (not just '.'!)
$sourcedir = '/application/forums/Sources';		# Path to the Sources directory.

########## Error-Catching ##########
# Note: You shouldn't touch these settings.
$db_last_error = 1217286919;


# Make sure the paths are correct... at least try to fix them.
if (!file_exists($boarddir) && file_exists(dirname(__FILE__) . '/agreement.txt'))
	$boarddir = dirname(__FILE__);
if (!file_exists($sourcedir) && file_exists($boarddir . '/Sources'))
	$sourcedir = $boarddir . '/Sources';

//$boardurl = 'http://localhost/glitchcity.info/forums';
$boardurl = getenv('GCL_FORUMS_URL') ?: 'http://forums.glitchcity.info';
$scripturl = "$boardurl/index.php";

$cachedir = '/application/forums/cache';
$maintenance = 0;
?>
