# Glitch City Laboratories Source Code Repository
This version of Glitch City Laboratories - tentatively v3.5 - is implemented as a self-contained web application residing in a Docker container.

As of **9 August 2016** this version of GCL is live on the Monarch Pass server. All development will be done in this repo.

## Info about the test database
The test database is a small collection of wiki pages, boards, and posts. There is an admin user (username `Abwayax`, password `testadmin`).

## Commands
### Build development environment
`docker-compose build`

### Start development environment
`docker-compose up`

### Follow PHP logs
`docker exec glitchcityinfo_web_1 tail -f /var/log/php5-fpm.log`

### Dump test database
`docker-compose exec db mysqldump glitchcity -ptoor`
